# Changelog DTS 4132 / TSB 4132
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)

Guiding Principles:
see https://keepachangelog.com/en/1.0.0/#how

Possible log types:  
- [Update instructions] for essential requirements, instructions and information about the software update procedure  
- [Added] for new features  
- [Changed] for changes in existing functionality. Improvements should appear under the 'changed' section  
- [Deprecated] for once-stable features removed in upcoming releases  
- [Removed] for now removed in this release  
- [Fixed] for any bug fixes  
- [Security]  in case of vulnerabilities or other security related changes  

## [04130324.010000.030307 / 20032024] 2024-03-20
### Update instructions
**Former version has to be at or above 15092023!**  
1. step: Save configuration before this update  
2. step: Update **uImagexxx4132**, **xxx4132app.img** and **dtscheck.md5**. (xxx = DTS or TSB)  
3. step: Check version of Linux Kernel (V3.2.3.0004) and dtsapp (V1.06). If not correct do step 2 again.  
4. step: Update **rootfsxxx4132.img**, **xxx4132v2cfg.img** and **dtscheck.md5**.  
5. step: Check version of Filesystem (130324.111356). If not correct do step 4 again.  
6. step: Recover configuration  
See also Bx-801104.07 or higher: chapter 7  

### Added

### Changed
- Update dropbear (SSH) to 2022.83 
- Update ftpd pure-ftp 1.0.49 
- Update busybox 1.31.1
- Update sftp
- Update ntp to 4.2.8p17
- watchdog time increased to delay unintentional reboot with very high network load

### Deprecated

### Removed

### Fixed

### Security
- Detect and block SSH brute force attack
- Disallow TCP timestamps
- Default settings changed (Telnet & FTP off, SNMP V3 only)
- Root user login deactivated
- Prevent from injected command in hostname and domainname
- Build options changed for dropbear (disable Chacha20-Poly1305 and CBC ciphers) to fix CVE-2023-48795
- See "Changed" (updates)  

## [03290119.010000.030206 / 15092023] 2023-09-15
### Update instructions
**Former version has to be at or above 27022019!**  
See also Bx-801104.07 or higher: chapter 7  

### Added

### Changed

### Deprecated

### Removed

### Fixed
- Serial output missing telegrams fixed  

### Security

## [03290119.010000.030205 / 27022019] 2019-05-10
### Update instructions
Update is recommended for users of SNMP or SSH  
First step: Update **rootfsxxx4132.img**, **uImagexxx4132** and **xxx4132app.img** image. (xxx = DTS or TSB)  
Second step: After reboot update **xxx4132cfg.img**.   
See also Bx-801104.07 or higher: chapter 7

### Added
- Features: SNMP V1 and V2c deselectable  
- 
### Changed
- Update dropbear (SSH)  
- Update ntp  
- Update snmp  
- Update openssl  

### Deprecated

### Removed

### Fixed
- Bugfix: SNMP IPv6  

### Security

## [02270315.010000.020004 / 02072018] 2018-07-05
### Update instructions
Update is only needed for users which need switch programs  
See also Bx-801104.07 or higher: chapter 7  

### Added

### Changed

### Deprecated

### Removed

### Fixed
- Fix configuration of switch functionality  

### Security

## [02270315.010000.020002 / 16092015] 2015-09-16
### Update instructions
An update is recommended for all users  
See also Bx-801104.07 or higher: chapter 7  

### Added

### Changed

### Deprecated

### Removed

### Fixed
- Fixed line current measurement for MBL, impulse- and DCF active line  
- Fixed impulse line for longer pulse duration >10sec  


### Security

## [02270315.010000.020002 / 10082015] 2015-08-10
### Update instructions
An update is recommended for all users.  
See also Bx-801104.07 or higher: chapter 7  

### Added

### Changed
- First official release  

### Deprecated

### Removed

### Fixed

### Security

## [01270315.010000.020001 / 14072015] 2015-07-13
### Update instructions
An update is recommended for all users.  
See also Bx-801104.07 or higher: chapter 7  

### Added

### Changed
- First official release  

### Deprecated

### Removed

### Fixed

### Security

